QXmpp: QXmppRpcResponseIq Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppRpcResponseIq Class Reference
Stanzas

The QXmppRpcResponseIq class represents an IQ used to carry an RPC response as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcIq.h>`

Inheritance diagram for QXmppRpcResponseIq:

## Public Member Functions
int | faultCode () const
void | setFaultCode (int faultCode)
QString | faultString () const
void | setFaultString (const QString &faultString)
QVariantList | values () const
void | setValues (const QVariantList &values)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRpcResponseIq class represents an IQ used to carry an RPC response as specified by XEP-0009: Jabber-RPC.

## Member Function Documentation

int QXmppRpcResponseIq::faultCode | ( |  | ) | const

Returns the fault code.

QString QXmppRpcResponseIq::faultString | ( |  | ) | const

Returns the fault string.

void QXmppRpcResponseIq::setFaultCode | ( | int | faultCode | ) |

Sets the fault code.

Parameters

  faultCode |

void QXmppRpcResponseIq::setFaultString | ( | const QString & | faultString | ) |

Sets the fault string.

Parameters

  faultString |

void QXmppRpcResponseIq::setValues | ( | const QVariantList & | values | ) |

Sets the response values.

Parameters

  values |

QVariantList QXmppRpcResponseIq::values | ( |  | ) | const

Returns the response values.

The documentation for this class was generated from the following files:

- QXmppRpcIq.h
- QXmppRpcIq.cpp